Name:		converseen
Version:	0.6.2
Release:	1%{?dist}
Summary:	A batch image conversion tool written in C++ with Qt4 and Magick++

Group:		Amusements/Graphics
License:	GPLv3
URL:		http://converseen.sf.net/
Source0:	http://downloads.sourceforge.net/converseen/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	qt-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	ImageMagick-c++-devel
BuildRequires:	desktop-file-utils

%description
Converseen is a batch image conversion tool and resizer written in C++ with Qt4
and Magick++.  Converseen allows you to convert images in more than 100
different formats!


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%doc INSTALL COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/kde4/services/ServiceMenus/%{name}_import.desktop
%{_datadir}/converseen/*


%changelog
* Sat Jun 01 2013 Mario Santagiuliana <fedora@marionline.it> 0.6.2-1
- Version 0.6.2

* Sun Apr 21 2013 Mario Santagiuliana <fedora@marionline.it> 0.6
- Version 0.6

* Sat Feb 16 2013 Mario Santagiuliana <fedora@marionline.it> 0.5.3-1
- Version 0.5.3
- Fix rpmlint warnings

* Thu Jan 10 2013 Mario Santagiuliana <fedora@marionline.it> 0.5.2.1-1
- Update to new version 0.5.2.1
- Fix little issue on changelog

* Mon Jan 07 2013 Mario Santagiuliana <fedora@marionline.it> 0.5.2-1
- Update to new version 0.5.2

* Fri Jul 06 2012 Mario Santagiuliana <fedora@marionline.it> 0.5.1-1
- Update to new version 0.5.1

* Thu Mar 22 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.9-4
- Again, new rebuild for fc17
- fix changelog error from Tue to Thu

* Sun Mar 11 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.9-3
- New rebuild

* Mon Mar 05 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.9-2
- New rebuild

* Thu Jan 31 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.9-1
- Update to version 0.4.9

* Mon Jan 23 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-4
- Fix %%cmake use

* Mon Jan 23 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-3
- Use %%cmake macro instead of cmake

* Wed Jan 18 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-2
- Use desktop-file-install
- Remove INSTALL file from doc macro

* Thu Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-1
- Update to new release 0.4.8

* Thu Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.7-29
- Update spec file to include package in Fedora repository

* Thu Dec 01 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.7
- Optimized GUI for small screen resolutions (netbooks)
- Fixed overwriting with upper suffixes
- Now the window geometry is saved

* Mon Sep 12 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.5
- Modified the code to work in Windows
- Added Turkish translation
- Added support for Cmake

* Tue Aug 02 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.3
- Added service menu for Kde
- Fixed overwriting with upper suffixes
- Added Spanish (Chile) translation

* Sun Jun 26 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.2
- Fixed overwriting dialog when the renaming option is enabled.

* Wed Mar 09 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.1
- Improved picture previewer
- If the output folder doesn't exists it will be created

* Fri Feb 11 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4:
- Added thread support to image conversions.
- Added a progress bar into the conversion dialog.
- Added drag and drop.
- Improved management of PNG.
- Fixed various bugs and improved the code.
- Added Brazilian Portuguese translation.
- Added German translation.

* Sat Oct 23 2010 Francesco Mondello <faster3ck@gmail.com>
- Version 0.3.2: Added french translation

* Sun Sep 12 2010 Francesco Mondello <faster3ck@gmail.com>
- Initial rpm release to version 0.3.1
